Ubuntu

linux-ec2: 2.6.32-361.74 -proposed tracker

Reported by Brad Figg on 2014-01-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Parameswaran Sivatharman
Security-signoff
Medium
John Johansen
Upload-to-ppa
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 07. January 2014 01:01 UTC
kernel-stable-master-bug:1266525
kernel-stable-Certification-testing-end:Wednesday, 08. January 2014 14:01 UTC
kernel-stable-Prepare-package-end:Wednesday, 08. January 2014 17:01 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 08. January 2014 17:01 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 28. January 2014 09:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 28. January 2014 10:02 UTC
kernel-stable-Verification-testing-start:Tuesday, 28. January 2014 10:02 UTC
kernel-stable-Regression-testing-start:Tuesday, 28. January 2014 10:02 UTC
kernel-stable-Regression-testing-end:Tuesday, 04. February 2014 14:01 UTC
kernel-stable-Verification-testing-end:Friday, 07. February 2014 17:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 12. February 2014 20:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 17. February 2014 16:01 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. February 2014 14:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. February 2014 15:04 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-56.118 update (bug 1266525)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Stefan Bader (smb) on 2014-01-08
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-361.74 -proposed tracker
Brad Figg (brad-figg) on 2014-01-08
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-01-28
description: updated
Brad Figg (brad-figg) on 2014-01-28
description: updated
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-02-04
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Adam Conrad (adconrad) on 2014-02-07
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-02-07
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-02-12
description: updated
Brad Figg (brad-figg) on 2014-02-17
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-361.74

---------------
linux-ec2 (2.6.32-361.74) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-56.118
  * Release Tracking Bug
    - LP: #1266612

  [ Ubuntu: 2.6.32-56.118 ]

  * inet: prevent leakage of uninitialized memory to user in recv syscalls
    - LP: #1256919
    - CVE-2013-6405
  * inet: fix addr_len/msg->msg_namelen assignment in recv_error and rxpmtu
    functions
    - LP: #1256919
    - CVE-2013-6405
  * aacraid: missing capable() check in compat ioctl
    - LP: #1256094
    - CVE-2013-6383
 -- Stefan Bader <email address hidden> Wed, 08 Jan 2014 10:18:44 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-02-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers